搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

Netflix no longer supported [SOLVED]

  • 5 回覆
  • 1 有這個問題
  • 24 次檢視
  • 最近回覆由 teagankelk

more options

Hi! Netflix used to work great in Firefox on my Mac OS X 10.11.6 macbook. Now I've been getting an error message saying "Looks like your browser is no longer supported" when trying to play video on Netflix and it won't play. I noticed that it self-updated a couple times over the last few days but these updates did not solve the problem. I'm hoping that this problem can be fixed so that I can keep watching Netflix on Firefox, as I find Chrome and other browsers are very slow and laggy compared to Firefox. Thanks :)

附加的畫面擷圖

由 teagankelk 於 修改

被選擇的解決方法

Hi

I think we recently issued a small update to fix the issue you were experiencing.

從原來的回覆中察看解決方案 👍 0

所有回覆 (5)

more options

It's 2021 right now.... you need a recent version, because they have updated a DRM plugin.

有幫助嗎?

more options

Lol I'm aware that it is 2021 and I'm not sure why you felt the need to mention that.

Anyways I solved it. Apparently the info in "About Firefox" is wrong because it's saying that I have the most up-to-date version, and that is incorrect. I googled "Firefox 78" and it turns out that there's a newer version of Firefox available for my Mac, so I downloaded it from the Firefox website. In Firefox 78, Netflix is working and plays video just fine for me.

Seems like this situation could be improved though because Firefox shouldn't be saying that you have the most up-to-date version when you don't, especially when Firefox's support article on "How to update Firefox" tells users to trust the "About Firefox" section and go there to check for new updates. I'd strongly recommend the team look into fixing it so that it tells users "you have Firefox 77 and Firefox 78 is available."

有幫助嗎?

more options

P.S. oh i didn't notice that the recent updates were in June 2020, obviously I thought they were June 2021. my mistake lol

有幫助嗎?

more options

選擇的解決方法

Hi

I think we recently issued a small update to fix the issue you were experiencing.

有幫助嗎?

more options

Seburo said

Hi I think we recently issued a small update to fix the issue you were experiencing.

I solved the problem by upgrading to Firefox 78.

HOWEVER, Firefox shouldn't be saying that you have the most up-to-date version when you don't, especially when Firefox's support article on "How to update Firefox" tells users to trust the "About Firefox" section and go there to check for new updates. I'd strongly recommend the team look into fixing it so that it tells users "you have Firefox 77 and Firefox 78 is available."

有幫助嗎?

問個問題

如果您還沒有帳號,您必須先 登入您的帳號 來回覆文章。請 開始一個新問題